Package com.independentsoft.office.spreadsheet.connections

# Class WebQueryProperties

java.lang.Object
com.independentsoft.office.spreadsheet.connections.WebQueryProperties

public class WebQueryProperties extends Object
The Class WebQueryProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebQueryProperties()`
  Instantiates a new web query properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WebQueryProperties`
  `clone()`
  `String`
  `getEditPage()`
  Gets the edits the page.
  `int`
  `getFirstRow()`
  Gets the first row.
  `HtmlFormattingHandling`
  `getHtmlFormattingHandling()`
  Gets the html formatting handling.
  `String`
  `getPost()`
  Gets the post.
  `String`
  `getUrl()`
  Gets the url.
  `boolean`
  `isConsecutive()`
  Checks if is consecutive.
  `boolean`
  `isCreatedInExcel97()`
  Checks if is created in excel97.
  `boolean`
  `isDatesAsText()`
  Checks if is dates as text.
  `boolean`
  `isHtmlTablesOnly()`
  Checks if is html tables only.
  `boolean`
  `isImportXmlSourceData()`
  Checks if is import xml source data.
  `boolean`
  `isParsePre()`
  Checks if is parses the pre.
  `boolean`
  `isRefreshedInExcel2000()`
  Checks if is refreshed in excel2000.
  `boolean`
  `isXmlSource()`
  Checks if is xml source.
  `void`
  `setConsecutive​(boolean consecutive)`
  Sets the consecutive.
  `void`
  `setCreatedInExcel97​(boolean createdInExcel97)`
  Sets the created in excel97.
  `void`
  `setDatesAsText​(boolean datesAsText)`
  Sets the dates as text.
  `void`
  `setEditPage​(String editPage)`
  Sets the edits the page.
  `void`
  `setFirstRow​(int firstRow)`
  Sets the first row.
  `void`
  `setHtmlFormattingHandling​(HtmlFormattingHandling htmlFormattingHandling)`
  Sets the html formatting handling.
  `void`
  `setHtmlTablesOnly​(boolean htmlTablesOnly)`
  Sets the html tables only.
  `void`
  `setImportXmlSourceData​(boolean importXmlSourceData)`
  Sets the import xml source data.
  `void`
  `setParsePre​(boolean parsePre)`
  Sets the parses the pre.
  `void`
  `setPost​(String post)`
  Sets the post.
  `void`
  `setRefreshedInExcel2000​(boolean refreshedInExcel2000)`
  Sets the refreshed in excel2000.
  `void`
  `setUrl​(String url)`
  Sets the url.
  `void`
  `setXmlSource​(boolean isXmlSource)`
  Sets the xml source.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebQueryProperties

    public WebQueryProperties()
    Instantiates a new web query properties.

- ## Method Details

  - ### clone

    public WebQueryProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isConsecutive

    public boolean isConsecutive()
    Checks if is consecutive.
    Returns:
      true, if is consecutive

  - ### setConsecutive

    public void setConsecutive​(boolean consecutive)
    Sets the consecutive.
    Parameters:
      `consecutive` - the new consecutive

  - ### getEditPage

    public String getEditPage()
    Gets the edits the page.
    Returns:
      the edits the page

  - ### setEditPage

    public void setEditPage​(String editPage)
    Sets the edits the page.
    Parameters:
      `editPage` - the new edits the page

  - ### getFirstRow

    public int getFirstRow()
    Gets the first row.
    Returns:
      the first row

  - ### setFirstRow

    public void setFirstRow​(int firstRow)
    Sets the first row.
    Parameters:
      `firstRow` - the new first row

  - ### getHtmlFormattingHandling

    public HtmlFormattingHandling getHtmlFormattingHandling()
    Gets the html formatting handling.
    Returns:
      the html formatting handling

  - ### setHtmlFormattingHandling

    public void setHtmlFormattingHandling​(HtmlFormattingHandling htmlFormattingHandling)
    Sets the html formatting handling.
    Parameters:
      `htmlFormattingHandling` - the new html formatting handling

  - ### isHtmlTablesOnly

    public boolean isHtmlTablesOnly()
    Checks if is html tables only.
    Returns:
      true, if is html tables only

  - ### setHtmlTablesOnly

    public void setHtmlTablesOnly​(boolean htmlTablesOnly)
    Sets the html tables only.
    Parameters:
      `htmlTablesOnly` - the new html tables only

  - ### isParsePre

    public boolean isParsePre()
    Checks if is parses the pre.
    Returns:
      true, if is parses the pre

  - ### setParsePre

    public void setParsePre​(boolean parsePre)
    Sets the parses the pre.
    Parameters:
      `parsePre` - the new parses the pre

  - ### getPost

    public String getPost()
    Gets the post.
    Returns:
      the post

  - ### setPost

    public void setPost​(String post)
    Sets the post.
    Parameters:
      `post` - the new post

  - ### isImportXmlSourceData

    public boolean isImportXmlSourceData()
    Checks if is import xml source data.
    Returns:
      true, if is import xml source data

  - ### setImportXmlSourceData

    public void setImportXmlSourceData​(boolean importXmlSourceData)
    Sets the import xml source data.
    Parameters:
      `importXmlSourceData` - the new import xml source data

  - ### isDatesAsText

    public boolean isDatesAsText()
    Checks if is dates as text.
    Returns:
      true, if is dates as text

  - ### setDatesAsText

    public void setDatesAsText​(boolean datesAsText)
    Sets the dates as text.
    Parameters:
      `datesAsText` - the new dates as text

  - ### getUrl

    public String getUrl()
    Gets the url.
    Returns:
      the url

  - ### setUrl

    public void setUrl​(String url)
    Sets the url.
    Parameters:
      `url` - the new url

  - ### isRefreshedInExcel2000

    public boolean isRefreshedInExcel2000()
    Checks if is refreshed in excel2000.
    Returns:
      true, if is refreshed in excel2000

  - ### setRefreshedInExcel2000

    public void setRefreshedInExcel2000​(boolean refreshedInExcel2000)
    Sets the refreshed in excel2000.
    Parameters:
      `refreshedInExcel2000` - the new refreshed in excel2000

  - ### isCreatedInExcel97

    public boolean isCreatedInExcel97()
    Checks if is created in excel97.
    Returns:
      true, if is created in excel97

  - ### setCreatedInExcel97

    public void setCreatedInExcel97​(boolean createdInExcel97)
    Sets the created in excel97.
    Parameters:
      `createdInExcel97` - the new created in excel97

  - ### isXmlSource

    public boolean isXmlSource()
    Checks if is xml source.
    Returns:
      true, if is xml source

  - ### setXmlSource

    public void setXmlSource​(boolean isXmlSource)
    Sets the xml source.
    Parameters:
      `isXmlSource` - the new xml source